using Microsoft.EntityFrameworkCore;
using WebApiWebSem.DataAccess.Models;

namespace WebApiWebSem.DataAccess
{
    public partial class WsDbContext : DbContext
    {
        public WsDbContext(DbContextOptions options) :base(options)
        {
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            
            modelBuilder.Entity<articles>()
                .HasKey(c => new { c.id });
            
            modelBuilder.Entity<articles>()
                .Property(e => e.id)
                .HasDefaultValueSql("get_uuid()");
            
            
            
        }
        
        public virtual DbSet<articles> articles { get; set; }
        
    }
}
